diff --git a/dlls/quartz/window.c b/dlls/quartz/window.c
index 3e19d9b58..5b172d5f1 100644
--- a/dlls/quartz/window.c
+++ b/dlls/quartz/window.c
@@ -105,7 +105,7 @@ HRESULT video_window_create_window(struct video_window *window)
     winclass.lpszClassName = class_name;
     if (!RegisterClassW(&winclass) && GetLastError() != ERROR_CLASS_ALREADY_EXISTS)
     {
-        ERR("Failed to register class, error %lu.\n", GetLastError());
+        ERR("Unable to register window class: %u\n", GetLastError());
         return E_FAIL;
     }
 
@@ -151,7 +151,7 @@ HRESULT WINAPI BaseControlWindowImpl_GetTypeInfoCount(IVideoWindow *iface, UINT
 HRESULT WINAPI BaseControlWindowImpl_GetTypeInfo(IVideoWindow *iface, UINT index,
         LCID lcid, ITypeInfo **typeinfo)
 {
-    TRACE("iface %p, index %u, lcid %#lx, typeinfo %p.\n", iface, index, lcid, typeinfo);
+    TRACE("iface %p, index %u, lcid %#x, typeinfo %p.\n", iface, index, lcid, typeinfo);
     return strmbase_get_typeinfo(IVideoWindow_tid, typeinfo);
 }
 
@@ -161,7 +161,7 @@ HRESULT WINAPI BaseControlWindowImpl_GetIDsOfNames(IVideoWindow *iface, REFIID i
     ITypeInfo *typeinfo;
     HRESULT hr;
 
-    TRACE("iface %p, iid %s, names %p, count %u, lcid %#lx, ids %p.\n",
+    TRACE("iface %p, iid %s, names %p, count %u, lcid %#x, ids %p.\n",
             iface, debugstr_guid(iid), names, count, lcid, ids);
 
     if (SUCCEEDED(hr = strmbase_get_typeinfo(IVideoWindow_tid, &typeinfo)))
@@ -178,7 +178,7 @@ HRESULT WINAPI BaseControlWindowImpl_Invoke(IVideoWindow *iface, DISPID id, REFI
     ITypeInfo *typeinfo;
     HRESULT hr;
 
-    TRACE("iface %p, id %ld, iid %s, lcid %#lx, flags %#x, params %p, result %p, excepinfo %p, error_arg %p.\n",
+    TRACE("iface %p, id %d, iid %s, lcid %#x, flags %#x, params %p, result %p, excepinfo %p, error_arg %p.\n",
             iface, id, debugstr_guid(iid), lcid, flags, params, result, excepinfo, error_arg);
 
     if (SUCCEEDED(hr = strmbase_get_typeinfo(IVideoWindow_tid, &typeinfo)))
@@ -225,7 +225,7 @@ HRESULT WINAPI BaseControlWindowImpl_put_WindowStyle(IVideoWindow *iface, LONG s
 {
     struct video_window *window = impl_from_IVideoWindow(iface);
 
-    TRACE("window %p, style %#lx.\n", window, style);
+    TRACE("window %p, style %#x.\n", window, style);
 
     if (style & (WS_DISABLED|WS_HSCROLL|WS_MAXIMIZE|WS_MINIMIZE|WS_VSCROLL))
         return E_INVALIDARG;
@@ -250,7 +250,7 @@ HRESULT WINAPI BaseControlWindowImpl_put_WindowStyleEx(IVideoWindow *iface, LONG
 {
     struct video_window *window = impl_from_IVideoWindow(iface);
 
-    TRACE("window %p, style %#lx.\n", window, style);
+    TRACE("window %p, style %#x.\n", window, style);
 
     if (!SetWindowLongW(window->hwnd, GWL_EXSTYLE, style))
         return E_FAIL;
@@ -271,7 +271,7 @@ HRESULT WINAPI BaseControlWindowImpl_put_AutoShow(IVideoWindow *iface, LONG Auto
 {
     struct video_window *This = impl_from_IVideoWindow(iface);
 
-    TRACE("window %p, AutoShow %ld.\n", This, AutoShow);
+    TRACE("(%p/%p)->(%d)\n", This, iface, AutoShow);
 
     This->AutoShow = AutoShow;
 
@@ -293,7 +293,7 @@ HRESULT WINAPI BaseControlWindowImpl_put_WindowState(IVideoWindow *iface, LONG s
 {
     struct video_window *window = impl_from_IVideoWindow(iface);
 
-    TRACE("window %p, state %ld.\n", window, state);
+    TRACE("window %p, state %#x.\n", window, state);
 
     ShowWindow(window->hwnd, state);
     return S_OK;
@@ -323,7 +323,7 @@ HRESULT WINAPI BaseControlWindowImpl_put_BackgroundPalette(IVideoWindow *iface,
 {
     struct video_window *This = impl_from_IVideoWindow(iface);
 
-    FIXME("window %p, palette %ld, stub!\n", This, BackgroundPalette);
+    FIXME("(%p/%p)->(%d): stub !!!\n", This, iface, BackgroundPalette);
 
     return S_OK;
 }
@@ -341,7 +341,7 @@ HRESULT WINAPI BaseControlWindowImpl_put_Visible(IVideoWindow *iface, LONG visib
 {
     struct video_window *window = impl_from_IVideoWindow(iface);
 
-    TRACE("window %p, visible %ld.\n", window, visible);
+    TRACE("window %p, visible %d.\n", window, visible);
 
     ShowWindow(window->hwnd, visible ? SW_SHOW : SW_HIDE);
     return S_OK;
@@ -365,7 +365,7 @@ HRESULT WINAPI BaseControlWindowImpl_put_Left(IVideoWindow *iface, LONG left)
     struct video_window *window = impl_from_IVideoWindow(iface);
     RECT rect;
 
-    TRACE("window %p, left %ld.\n", window, left);
+    TRACE("window %p, left %d.\n", window, left);
 
     GetWindowRect(window->hwnd, &rect);
     if (!SetWindowPos(window->hwnd, NULL, left, rect.top, 0, 0,
@@ -392,7 +392,7 @@ HRESULT WINAPI BaseControlWindowImpl_put_Width(IVideoWindow *iface, LONG width)
     struct video_window *window = impl_from_IVideoWindow(iface);
     RECT rect;
 
-    TRACE("window %p, width %ld.\n", window, width);
+    TRACE("window %p, width %d.\n", window, width);
 
     GetWindowRect(window->hwnd, &rect);
     if (!SetWindowPos(window->hwnd, NULL, 0, 0, width, rect.bottom - rect.top,
@@ -419,7 +419,7 @@ HRESULT WINAPI BaseControlWindowImpl_put_Top(IVideoWindow *iface, LONG top)
     struct video_window *window = impl_from_IVideoWindow(iface);
     RECT rect;
 
-    TRACE("window %p, top %ld.\n", window, top);
+    TRACE("window %p, top %d.\n", window, top);
 
     GetWindowRect(window->hwnd, &rect);
     if (!SetWindowPos(window->hwnd, NULL, rect.left, top, 0, 0,
@@ -446,7 +446,7 @@ HRESULT WINAPI BaseControlWindowImpl_put_Height(IVideoWindow *iface, LONG height
     struct video_window *window = impl_from_IVideoWindow(iface);
     RECT rect;
 
-    TRACE("window %p, height %ld.\n", window, height);
+    TRACE("window %p, height %d.\n", window, height);
 
     GetWindowRect(window->hwnd, &rect);
     if (!SetWindowPos(window->hwnd, NULL, 0, 0, rect.right - rect.left,
@@ -473,7 +473,7 @@ HRESULT WINAPI BaseControlWindowImpl_put_Owner(IVideoWindow *iface, OAHWND owner
     struct video_window *window = impl_from_IVideoWindow(iface);
     HWND hwnd = window->hwnd;
 
-    TRACE("window %p, owner %#Ix.\n", window, owner);
+    TRACE("window %p, owner %#lx.\n", window, owner);
 
     /* Make sure we are marked as WS_CHILD before reparenting ourselves, so that
      * we do not steal focus. LEGO Island depends on this. */
@@ -503,7 +503,7 @@ HRESULT WINAPI BaseControlWindowImpl_put_MessageDrain(IVideoWindow *iface, OAHWN
 {
     struct video_window *This = impl_from_IVideoWindow(iface);
 
-    TRACE("window %p, drain %#Ix.\n", This, Drain);
+    TRACE("(%p/%p)->(%08x)\n", This, iface, (DWORD) Drain);
 
     This->hwndDrain = (HWND)Drain;
 
@@ -534,7 +534,7 @@ HRESULT WINAPI BaseControlWindowImpl_put_BorderColor(IVideoWindow *iface, LONG C
 {
     struct video_window *This = impl_from_IVideoWindow(iface);
 
-    TRACE("window %p, colour %#lx.\n", This, Color);
+    FIXME("(%p/%p)->(%d): stub !!!\n", This, iface, Color);
 
     return S_OK;
 }
@@ -546,12 +546,9 @@ HRESULT WINAPI BaseControlWindowImpl_get_FullScreenMode(IVideoWindow *iface, LON
     return E_NOTIMPL;
 }
 
-HRESULT WINAPI BaseControlWindowImpl_put_FullScreenMode(IVideoWindow *iface, LONG fullscreen)
+HRESULT WINAPI BaseControlWindowImpl_put_FullScreenMode(IVideoWindow *iface, LONG FullScreenMode)
 {
-    struct video_window *window = impl_from_IVideoWindow(iface);
-
-    TRACE("window %p, fullscreen %ld.\n", window, fullscreen);
-
+    TRACE("(%p)->(%d)\n", iface, FullScreenMode);
     return E_NOTIMPL;
 }
 
@@ -560,7 +557,7 @@ HRESULT WINAPI BaseControlWindowImpl_SetWindowForeground(IVideoWindow *iface, LO
     struct video_window *window = impl_from_IVideoWindow(iface);
     UINT flags = SWP_NOMOVE | SWP_NOSIZE;
 
-    TRACE("window %p, focus %ld.\n", window, focus);
+    TRACE("window %p, focus %d.\n", window, focus);
 
     if (focus != OAFALSE && focus != OATRUE)
         return E_INVALIDARG;
@@ -580,7 +577,7 @@ HRESULT WINAPI BaseControlWindowImpl_SetWindowPosition(IVideoWindow *iface,
 {
     struct video_window *window = impl_from_IVideoWindow(iface);
 
-    TRACE("window %p, left %ld, top %ld, width %ld, height %ld.\n", window, left, top, width, height);
+    TRACE("window %p, left %d, top %d, width %d, height %d.\n", window, left, top, width, height);
 
     if (!SetWindowPos(window->hwnd, NULL, left, top, width, height, SWP_NOACTIVATE | SWP_NOZORDER))
         return E_FAIL;
@@ -608,7 +605,7 @@ HRESULT WINAPI BaseControlWindowImpl_NotifyOwnerMessage(IVideoWindow *iface,
 {
     struct video_window *window = impl_from_IVideoWindow(iface);
 
-    TRACE("window %p, hwnd %#Ix, message %#lx, wparam %#Ix, lparam %#Ix.\n",
+    TRACE("window %p, hwnd %#lx, message %#x, wparam %#lx, lparam %#lx.\n",
             window, hwnd, message, wparam, lparam);
 
     /* That these messages are forwarded, and no others, is stated by the
@@ -664,11 +661,11 @@ HRESULT WINAPI BaseControlWindowImpl_GetRestorePosition(IVideoWindow *iface, LON
     return S_OK;
 }
 
-HRESULT WINAPI BaseControlWindowImpl_HideCursor(IVideoWindow *iface, LONG hide)
+HRESULT WINAPI BaseControlWindowImpl_HideCursor(IVideoWindow *iface, LONG HideCursor)
 {
-    struct video_window *window = impl_from_IVideoWindow(iface);
+    struct video_window *This = impl_from_IVideoWindow(iface);
 
-    FIXME("window %p, hide %ld, stub!\n", window, hide);
+    FIXME("(%p/%p)->(%d): stub !!!\n", This, iface, HideCursor);
 
     return S_OK;
 }
@@ -715,7 +712,7 @@ static HRESULT WINAPI basic_video_GetTypeInfoCount(IBasicVideo *iface, UINT *cou
 static HRESULT WINAPI basic_video_GetTypeInfo(IBasicVideo *iface, UINT index,
         LCID lcid, ITypeInfo **typeinfo)
 {
-    TRACE("iface %p, index %u, lcid %#lx, typeinfo %p.\n", iface, index, lcid, typeinfo);
+    TRACE("iface %p, index %u, lcid %#x, typeinfo %p.\n", iface, index, lcid, typeinfo);
     return strmbase_get_typeinfo(IBasicVideo_tid, typeinfo);
 }
 
@@ -725,7 +722,7 @@ static HRESULT WINAPI basic_video_GetIDsOfNames(IBasicVideo *iface, REFIID iid,
     ITypeInfo *typeinfo;
     HRESULT hr;
 
-    TRACE("iface %p, iid %s, names %p, count %u, lcid %#lx, ids %p.\n",
+    TRACE("iface %p, iid %s, names %p, count %u, lcid %#x, ids %p.\n",
             iface, debugstr_guid(iid), names, count, lcid, ids);
 
     if (SUCCEEDED(hr = strmbase_get_typeinfo(IBasicVideo_tid, &typeinfo)))
@@ -742,7 +739,7 @@ static HRESULT WINAPI basic_video_Invoke(IBasicVideo *iface, DISPID id, REFIID i
     ITypeInfo *typeinfo;
     HRESULT hr;
 
-    TRACE("iface %p, id %ld, iid %s, lcid %#lx, flags %#x, params %p, result %p, excepinfo %p, error_arg %p.\n",
+    TRACE("iface %p, id %d, iid %s, lcid %#x, flags %#x, params %p, result %p, excepinfo %p, error_arg %p.\n",
             iface, id, debugstr_guid(iid), lcid, flags, params, result, excepinfo, error_arg);
 
     if (SUCCEEDED(hr = strmbase_get_typeinfo(IBasicVideo_tid, &typeinfo)))
@@ -846,7 +843,7 @@ static HRESULT WINAPI basic_video_put_SourceLeft(IBasicVideo *iface, LONG left)
 {
     struct video_window *window = impl_from_IBasicVideo(iface);
 
-    TRACE("window %p, left %ld.\n", window, left);
+    TRACE("window %p, left %d.\n", window, left);
 
     if (left < 0 || window->src.right + left - window->src.left > get_bitmap_header(window)->biWidth)
         return E_INVALIDARG;
@@ -872,7 +869,7 @@ static HRESULT WINAPI basic_video_put_SourceWidth(IBasicVideo *iface, LONG width
 {
     struct video_window *window = impl_from_IBasicVideo(iface);
 
-    TRACE("window %p, width %ld.\n", window, width);
+    TRACE("window %p, width %d.\n", window, width);
 
     if (width <= 0 || window->src.left + width > get_bitmap_header(window)->biWidth)
         return E_INVALIDARG;
@@ -898,7 +895,7 @@ static HRESULT WINAPI basic_video_put_SourceTop(IBasicVideo *iface, LONG top)
 {
     struct video_window *window = impl_from_IBasicVideo(iface);
 
-    TRACE("window %p, top %ld.\n", window, top);
+    TRACE("window %p, top %d.\n", window, top);
 
     if (top < 0 || window->src.bottom + top - window->src.top > get_bitmap_header(window)->biHeight)
         return E_INVALIDARG;
@@ -924,7 +921,7 @@ static HRESULT WINAPI basic_video_put_SourceHeight(IBasicVideo *iface, LONG heig
 {
     struct video_window *window = impl_from_IBasicVideo(iface);
 
-    TRACE("window %p, height %ld.\n", window, height);
+    TRACE("window %p, height %d.\n", window, height);
 
     if (height <= 0 || window->src.top + height > get_bitmap_header(window)->biHeight)
         return E_INVALIDARG;
@@ -950,7 +947,7 @@ static HRESULT WINAPI basic_video_put_DestinationLeft(IBasicVideo *iface, LONG l
 {
     struct video_window *window = impl_from_IBasicVideo(iface);
 
-    TRACE("window %p, left %ld.\n", window, left);
+    TRACE("window %p, left %d.\n", window, left);
 
     window->default_dst = FALSE;
     OffsetRect(&window->dst, left - window->dst.left, 0);
@@ -974,7 +971,7 @@ static HRESULT WINAPI basic_video_put_DestinationWidth(IBasicVideo *iface, LONG
 {
     struct video_window *window = impl_from_IBasicVideo(iface);
 
-    TRACE("window %p, width %ld.\n", window, width);
+    TRACE("window %p, width %d.\n", window, width);
 
     if (width <= 0)
         return E_INVALIDARG;
@@ -1001,7 +998,7 @@ static HRESULT WINAPI basic_video_put_DestinationTop(IBasicVideo *iface, LONG to
 {
     struct video_window *window = impl_from_IBasicVideo(iface);
 
-    TRACE("window %p, top %ld.\n", window, top);
+    TRACE("window %p, top %d.\n", window, top);
 
     window->default_dst = FALSE;
     OffsetRect(&window->dst, 0, top - window->dst.top);
@@ -1025,7 +1022,7 @@ static HRESULT WINAPI basic_video_put_DestinationHeight(IBasicVideo *iface, LONG
 {
     struct video_window *window = impl_from_IBasicVideo(iface);
 
-    TRACE("window %p, height %ld.\n", window, height);
+    TRACE("window %p, height %d.\n", window, height);
 
     if (height <= 0)
         return E_INVALIDARG;
@@ -1054,7 +1051,7 @@ static HRESULT WINAPI basic_video_SetSourcePosition(IBasicVideo *iface,
     struct video_window *window = impl_from_IBasicVideo(iface);
     const BITMAPINFOHEADER *bitmap_header = get_bitmap_header(window);
 
-    TRACE("window %p, left %ld, top %ld, width %ld, height %ld.\n", window, left, top, width, height);
+    TRACE("window %p, left %d, top %d, width %d, height %d.\n", window, left, top, width, height);
 
     if (left < 0 || left + width > bitmap_header->biWidth || width <= 0)
         return E_INVALIDARG;
@@ -1098,7 +1095,7 @@ static HRESULT WINAPI basic_video_SetDestinationPosition(IBasicVideo *iface,
 {
     struct video_window *window = impl_from_IBasicVideo(iface);
 
-    TRACE("window %p, left %ld, top %ld, width %ld, height %ld.\n", window, left, top, width, height);
+    TRACE("window %p, left %d, top %d, width %d, height %d.\n", window, left, top, width, height);
 
     if (width <= 0 || height <= 0)
         return E_INVALIDARG;
@@ -1156,7 +1153,7 @@ static HRESULT WINAPI basic_video_GetVideoPaletteEntries(IBasicVideo *iface,
 {
     struct video_window *window = impl_from_IBasicVideo(iface);
 
-    FIXME("window %p, start %ld, count %ld, ret_count %p, palette %p, stub!\n",
+    FIXME("window %p, start %d, count %d, ret_count %p, palette %p, stub!\n",
             window, start, count, ret_count, palette);
 
     if (!ret_count || !palette)
@@ -1247,7 +1244,7 @@ static const IBasicVideoVtbl basic_video_vtbl =
 void video_window_unregister_class(void)
 {
     if (!UnregisterClassW(class_name, NULL) && GetLastError() != ERROR_CLASS_DOES_NOT_EXIST)
-        ERR("Failed to unregister class, error %lu.\n", GetLastError());
+        ERR("Failed to unregister class, error %u.\n", GetLastError());
 }
 
 void video_window_init(struct video_window *window, const IVideoWindowVtbl *vtbl,
